wie man Android Studio 0.6.0 zwingen, SDK Build- Werkzeuge 19.1.0 verwenden

? chip @ | Original: StackOverFlow
---

Ich habe gerade meine aktualisierte Android Studio 0.6.0 und aktualisiert das SDK Build- Werkzeuge, um 19.1.0 jedoch bekam ich diese Fehlermeldung:

The SDK Build Tools revision (19.0.3) is too low. Minimum required is 19.1.0

Wie kann ich ihn mit Gewalt zu verwenden SDK Build- Werkzeuge 19.1.0 ? Ich habe versucht, das Entfernen 19.0.3, aber es hilft nicht.

[  75364]   WARN - nal.AbstractExternalSystemTask - The SDK Build Tools revision (19.0.3) is too low. Minimum required is 19.1.0 
com.intellij.openapi.externalSystem.model.ExternalSystemException: The SDK Build Tools revision (19.0.3) is too low. Minimum required is 19.1.0
    at org.jetbrains.plugins.gradle.service.project.AbstractProjectImportErrorHandler.createUserFriendlyError(AbstractProjectImportErrorHandler.java:106)
    at org.jetbrains.plugins.gradle.service.project.BaseProjectImportErrorHandler.getUserFriendlyError(BaseProjectImportErrorHandler.java:153)
    at org.jetbrains.plugins.gradle.service.project.BaseGradleProjectResolverExtension.getUserFriendlyError(BaseGradleProjectResolverExtension.java:352)
    at com.android.tools.idea.gradle.project.AndroidGradleProjectResolver.getUserFriendlyError(AndroidGradleProjectResolver.java:334)
    at org.jetbrains.plugins.gradle.service.project.GradleProjectResolver$ProjectConnectionDataNodeFunction.fun(GradleProjectResolver.java:364)
    at org.jetbrains.plugins.gradle.service.project.GradleProjectResolver$ProjectConnectionDataNodeFunction.fun(GradleProjectResolver.java:330)
    at org.jetbrains.plugins.gradle.service.project.GradleExecutionHelper.execute(GradleExecutionHelper.java:203)
    at org.jetbrains.plugins.gradle.service.project.GradleProjectResolver.resolveProjectInfo(GradleProjectResolver.java:116)
    at org.jetbrains.plugins.gradle.service.project.GradleProjectResolver.resolveProjectInfo(GradleProjectResolver.java:64)
    at com.intellij.openapi.externalSystem.service.remote.RemoteExternalSystemProjectResolverImpl$1.produce(RemoteExternalSystemProjectResolverImpl.java:41)
    at com.intellij.openapi.externalSystem.service.remote.RemoteExternalSystemProjectResolverImpl$1.produce(RemoteExternalSystemProjectResolverImpl.java:37)
    at com.intellij.openapi.externalSystem.service.remote.AbstractRemoteExternalSystemService.execute(AbstractRemoteExternalSystemService.java:59)
    at com.intellij.openapi.externalSystem.service.remote.RemoteExternalSystemProjectResolverImpl.resolveProjectInfo(RemoteExternalSystemProjectResolverImpl.java:37)
at com.intellij.openapi.externalSystem.service.remote.wrapper.ExternalSystemProjectResolverWrapper.resolveProjectInfo(ExternalSystemProjectResolverWrapper.java:49)
    at com.intellij.openapi.externalSystem.service.internal.ExternalSystemResolveProjectTask.doExecute(ExternalSystemResolveProjectTask.java:48)
    at com.intellij.openapi.externalSystem.service.internal.AbstractExternalSystemTask.execute(AbstractExternalSystemTask.java:137)
    at com.intellij.openapi.externalSystem.service.internal.AbstractExternalSystemTask.execute(AbstractExternalSystemTask.java:123)
    at com.intellij.openapi.externalSystem.util.ExternalSystemUtil$2.execute(ExternalSystemUtil.java:406)
    at com.intellij.openapi.externalSystem.util.ExternalSystemUtil$3$2.run(ExternalSystemUtil.java:483)
    at com.intellij.openapi.progress.impl.ProgressManagerImpl$TaskRunnable.run(ProgressManagerImpl.java:471)
    at com.intellij.openapi.progress.impl.ProgressManagerImpl$2.run(ProgressManagerImpl.java:178)
    at com.intellij.openapi.progress.ProgressManager.executeProcessUnderProgress(ProgressManager.java:209)
    at com.intellij.openapi.progress.impl.ProgressManagerImpl.executeProcessUnderProgress(ProgressManagerImpl.java:212)
    at com.intellij.openapi.progress.impl.ProgressManagerImpl.runProcess(ProgressManagerImpl.java:171)
    at com.intellij.openapi.progress.impl.ProgressManagerImpl$8.run(ProgressManagerImpl.java:380)
    at com.intellij.openapi.application.impl.ApplicationImpl$8.run(ApplicationImpl.java:419)
    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:439)
    at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
    at java.util.concurrent.FutureTask.run(FutureTask.java:138)
    at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:895)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:918)
    at java.lang.Thread.run(Thread.java:662)
    at com.intellij.openapi.application.impl.ApplicationImpl$1$1.run(ApplicationImpl.java:149)

[  75373]   WARN - .project.GradleProjectImporter -
---

Top 5 Antwort

1Mr.Thanhhx @

Sie können build.gradle Datei zu bearbeiten :

android {

      compileSdkVersion 19
      buildToolsVersion "19.1.0"





    defaultConfig {
        minSdkVersion 10
        targetSdkVersion 19
        versionCode 1
        versionName "1.0"
    }
    buildTypes {
        release {
            runProguard false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt'
        }
    }
}

Beachten Sie, dass : build.gradle befindet sich im selben Ordner wie die Build- und src -Ordner.

ProjectFolder --> AppFolder --> build.gradle 

Good luck!

2Dmitry Nelepov @

Oder durch ui Schnittstelle Android Studio

Öffnen SDK -Manager  wie man Android Studio 0.6.0 zwingen, SDK Build- Werkzeuge 19.1.0 verwenden

SDK Build- Tools, die Sie wählen Bedarf  wie man Android Studio 0.6.0 zwingen, SDK Build- Werkzeuge 19.1.0 verwenden

Nach Abschluss der Installation von Open -Einstellungen Ihres Moduls  wie man Android Studio 0.6.0 zwingen, SDK Build- Werkzeuge 19.1.0 verwenden

In Immobilien in Modulen wählen SDK Build- Tools  wie man Android Studio 0.6.0 zwingen, SDK Build- Werkzeuge 19.1.0 verwenden

Wenn Sie Submodule tun diese Schritte für alle Module  wie man Android Studio 0.6.0 zwingen, SDK Build- Werkzeuge 19.1.0 verwenden

3luisdurazoa @

Wenn Sie keine Bibliothek importiert, um die build.gradle Datei für jede Bibliothek zu ändern müssen Sie, wenn sie in einem anderen Verzeichnis sind